aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--x11/giflib/APKBUILD31
1 files changed, 31 insertions, 0 deletions
diff --git a/x11/giflib/APKBUILD b/x11/giflib/APKBUILD
new file mode 100644
index 0000000000..a4b464d6cf
--- /dev/null
+++ b/x11/giflib/APKBUILD
@@ -0,0 +1,31 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=giflib
+pkgver=4.1.6
+pkgrel=0
+pkgdesc="A library for reading and writing gif images"
+url="http://sourceforge.net/projects/giflib/"
+license="MIT"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="libx11 uclibc"
+makedepends="libx11-dev libsm-dev e2fsprogs-dev"
+source="http://downloads.sourceforge.net/sourceforge/$pkgname/$pkgname-$pkgver.tar.bz2
+ nocxx.patch"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ patch configure < ../nocxx.patch || return 1
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING \
+ || return 1
+
+ MAJOR=`echo $pkgver | sed 's/\([0-9]\+\)\..*/\1/'`
+ gcc -shared -Wl,-soname,libungif.so.${MAJOR} -Llib/.libs -lgif -o libungif.so.$pkgver || return 1
+ install -m755 libungif.so.$pkgver "$pkgdir"/usr/lib/ || return 1
+ ln -sf libungif.so.$pkgver "$pkgdir"/usr/lib/libungif.so.4 || return 1
+ ln -sf libungif.so.4 "$pkgdir"/usr/lib/libungif.so || return 1
+}
+md5sums="7125644155ae6ad33dbc9fc15a14735f giflib-4.1.6.tar.bz2
+28513788ba4d556ccd538867dc6205ab nocxx.patch"